# Uses of Class
it.tdlight.jni.TdApi.AutosaveSettingsScope

## Uses of TdApi.AutosaveSettingsScope in it.tdlight.jni

Subclasses of TdApi.AutosaveSettingsScope in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.AutosaveSettingsScopeChannelChats`
Autosave settings applied to all channel chats without chat-specific settings.
`static final class`
`TdApi.AutosaveSettingsScopeChat`
Autosave settings applied to a chat.
`static final class`
`TdApi.AutosaveSettingsScopeGroupChats`
Autosave settings applied to all basic group and supergroup chats without chat-specific settings.
`static final class`
`TdApi.AutosaveSettingsScopePrivateChats`
Autosave settings applied to all private chats without chat-specific settings.
Fields in it.tdlight.jni declared as TdApi.AutosaveSettingsScope
Modifier and Type
Field
Description
`TdApi.AutosaveSettingsScope`
TdApi.SetAutosaveSettings.`scope`
Autosave settings scope.
`TdApi.AutosaveSettingsScope`
TdApi.UpdateAutosaveSettings.`scope`
Type of chats for which autosave settings were updated.
Constructors in it.tdlight.jni with parameters of type TdApi.AutosaveSettingsScope
Modifier
Constructor
Description
``
`SetAutosaveSettings(TdApi.AutosaveSettingsScope scope, TdApi.ScopeAutosaveSettings settings)`
Sets autosave settings for the given scope.
``
`UpdateAutosaveSettings(TdApi.AutosaveSettingsScope scope, TdApi.ScopeAutosaveSettings settings)`
Autosave settings for some type of chats were updated.